> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Request job scope validation

POST https://api.letsdeel.com/rest/eor/job-scopes/validate
Content-Type: application/json

Validates a job scope description and returns any validation errors. When errors are present, the response also includes a `quote_validation_log_public_id` and pre-populated `data_for_corrected_job_scope_endpoint` to support subsequent correction.

 **Token scopes**: `contracts:write`

Reference: https://developer.deel.com/api/eor-endpoints/eor-job-scopes/validate-job-scope

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Body (application/json)

This endpoint expects an object.

- `data` (EorJobScopesValidatePostRequestBodyContentApplicationJsonSchemaData, required) — details of job scope

## Response

### 200

Successful operation.

- `errors` (list of EorJobScopesValidatePostResponsesContentApplicationJsonSchemaErrorsItems, optional) — List of validation errors, if empty the validation was successfully.
- `quote_validation_log_public_id` (string, optional) — Id from validation request.
- `data_for_corrected_job_scope_endpoint` (EorJobScopesValidatePostResponsesContentApplicationJsonSchemaDataForCorrectedJobScopeEndpoint, optional) — Data for corrected job scope endpoint.

## Errors

### 400 Bad Request Error

Operation failed.

- `errors` (list of EorJobScopesValidatePostResponsesContentApplicationJsonSchemaErrorsItems, optional)
- `request` (EorJobScopesValidatePostResponsesContentApplicationJsonSchemaRequest, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### EorJobScopesValidatePostRequestBodyContentApplicationJsonSchemaData

details of job scope

- `team_id` (string, required) — The ID of the team.
- `job_scope` (string, required) — The scope of the job.
- `job_title` (string, required) — The title of the job.
- `employee_name` (string, required) — The name of the employee.
- `employment_country` (string, required) — The country of employment.
- `client_legal_entity_id` (string, required) — The ID of the client's legal entity.
- `work_visa` (boolean, optional) — Indicates if a work visa is required.
- `client_name` (string, optional) — Optional client name. The validation refuses a job scope if it includes the client name. If not provided, it will be inferred from the legal entity instead.
- `special_job_id` (string, optional, nullable) — The ID of the special job.
- `employment_state` (string, optional, nullable) — The state of employment.
- `employee_nationality` (string, optional) — The nationality of the employee.

### EorJobScopesValidatePostResponsesContentApplicationJsonSchemaErrorsItems

- `path` (string, optional) — The JSON path where input validation failed
- `message` (string, optional) — A description of the returned error

### EorJobScopesValidatePostResponsesContentApplicationJsonSchemaDataForCorrectedJobScopeEndpoint

Data for corrected job scope endpoint.

- `anonymized_job_scope` (string, optional, nullable) — Anonymized job scope.
- `errors_for_correct_job_scope` (list of EorJobScopesValidatePostResponsesContentApplicationJsonSchemaDataForCorrectedJobScopeEndpointErrorsForCorrectJobScopeItems, optional) — List of errors for corrected job scope.
- `must_create_correct_job_scope` (boolean, optional) — Indicates if a corrected job scope is required.

### EorJobScopesValidatePostResponsesContentApplicationJsonSchemaRequest

- `url` (string, optional) — The relative URL of the failed request
- `code` (double, optional) — The code of the source handler which produced the returned error
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `method` (string, optional) — The HTTP method of the failed request
- `source` (string, optional) — The source handler which produced the returned error
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### EorJobScopesValidatePostResponsesContentApplicationJsonSchemaDataForCorrectedJobScopeEndpointErrorsForCorrectJobScopeItems

- `message` (string, optional) — Message with error description

## Examples

**Request**

```json
{
  "data": {
    "team_id": "123e4567-e89b-12d3-a456-426614174000",
    "job_scope": "Software development and maintenance.",
    "job_title": "Software Engineer",
    "employee_name": "John Doe",
    "employment_country": "US",
    "client_legal_entity_id": "123e4567-e89b-12d3-a456-426614174002"
  }
}
```

**Response**

```json
{
  "errors": [
    {
      "message": "Job scope contains restricted pronouns",
      "relevant_text": "you"
    }
  ],
  "quote_validation_log_public_id": "123e4567-e89b-12d3-a456-426614174002",
  "data_for_corrected_job_scope_endpoint": {
    "anonymized_job_scope": "Software development and maintenance.",
    "errors_for_correct_job_scope": [
      {
        "message": "Job scope contains restricted pronouns"
      }
    ],
    "must_create_correct_job_scope": true
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/eor/job-scopes/validate"

payload = { "data": {
        "team_id": "123e4567-e89b-12d3-a456-426614174000",
        "job_scope": "Software development and maintenance.",
        "job_title": "Software Engineer",
        "employee_name": "John Doe",
        "employment_country": "US",
        "client_legal_entity_id": "123e4567-e89b-12d3-a456-426614174002"
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/eor/job-scopes/validate';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"team_id":"123e4567-e89b-12d3-a456-426614174000","job_scope":"Software development and maintenance.","job_title":"Software Engineer","employee_name":"John Doe","employment_country":"US","client_legal_entity_id":"123e4567-e89b-12d3-a456-426614174002"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/eor/job-scopes/validate"

	payload := strings.NewReader("{\n  \"data\": {\n    \"team_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n    \"job_scope\": \"Software development and maintenance.\",\n    \"job_title\": \"Software Engineer\",\n    \"employee_name\": \"John Doe\",\n    \"employment_country\": \"US\",\n    \"client_legal_entity_id\": \"123e4567-e89b-12d3-a456-426614174002\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/eor/job-scopes/validate")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"team_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n    \"job_scope\": \"Software development and maintenance.\",\n    \"job_title\": \"Software Engineer\",\n    \"employee_name\": \"John Doe\",\n    \"employment_country\": \"US\",\n    \"client_legal_entity_id\": \"123e4567-e89b-12d3-a456-426614174002\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/eor/job-scopes/validate")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"team_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n    \"job_scope\": \"Software development and maintenance.\",\n    \"job_title\": \"Software Engineer\",\n    \"employee_name\": \"John Doe\",\n    \"employment_country\": \"US\",\n    \"client_legal_entity_id\": \"123e4567-e89b-12d3-a456-426614174002\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/eor/job-scopes/validate', [
  'body' => '{
  "data": {
    "team_id": "123e4567-e89b-12d3-a456-426614174000",
    "job_scope": "Software development and maintenance.",
    "job_title": "Software Engineer",
    "employee_name": "John Doe",
    "employment_country": "US",
    "client_legal_entity_id": "123e4567-e89b-12d3-a456-426614174002"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/eor/job-scopes/validate");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"team_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n    \"job_scope\": \"Software development and maintenance.\",\n    \"job_title\": \"Software Engineer\",\n    \"employee_name\": \"John Doe\",\n    \"employment_country\": \"US\",\n    \"client_legal_entity_id\": \"123e4567-e89b-12d3-a456-426614174002\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": [
    "team_id": "123e4567-e89b-12d3-a456-426614174000",
    "job_scope": "Software development and maintenance.",
    "job_title": "Software Engineer",
    "employee_name": "John Doe",
    "employment_country": "US",
    "client_legal_entity_id": "123e4567-e89b-12d3-a456-426614174002"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/eor/job-scopes/validate")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```